## org.omg.PortableServer
Class IdUniquenessPolicyHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.IdUniquenessPolicyHelper

public class IdUniquenessPolicyHelper
extends java.lang.Object

Helper class for : IdUniquenessPolicy

Author:
  OpenORB Compiler

Constructor Summary
`IdUniquenessPolicyHelper()`

Method Summary
`static IdUniquenessPolicy` `extract(Any a)` Extract IdUniquenessPolicy from an any
`static java.lang.String` `id()` Return the IdUniquenessPolicy IDL ID
`static void` `insert(Any a, IdUniquenessPolicy t)` Insert IdUniquenessPolicy into an any
`static IdUniquenessPolicy` `narrow(Object obj)` Narrow CORBA::Object to IdUniquenessPolicy
`static IdUniquenessPolicy` `read(InputStream istream)` Read IdUniquenessPolicy from a marshalled stream
`static TypeCode` `type()` Return the IdUniquenessPolicy TypeCode
`static IdUniquenessPolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to IdUniquenessPolicy
`static void` `write(OutputStream ostream, IdUniquenessPolicy value)` Write IdUniquenessPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdUniquenessPolicyHelper

    public IdUniquenessPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IdUniquenessPolicy t)

  Insert IdUniquenessPolicy into an any
  Parameters:
    `a` - an any
    `t` - IdUniquenessPolicy value

### extract

    public static IdUniquenessPolicy extract(Any a)

  Extract IdUniquenessPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IdUniquenessPolicy value

### type

    public static TypeCode type()

  Return the IdUniquenessPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IdUniquenessPolicy IDL ID
  Returns:
    an ID

### read

    public static IdUniquenessPolicy read(InputStream istream)

  Read IdUniquenessPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IdUniquenessPolicy value

### write

    public static void write(OutputStream ostream,
                             IdUniquenessPolicy value)

  Write IdUniquenessPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IdUniquenessPolicy value

### narrow

    public static IdUniquenessPolicy narrow(Object obj)

  Narrow CORBA::Object to IdUniquenessPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IdUniquenessPolicy Object

### unchecked_narrow

    public static IdUniquenessPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to IdUniquenessPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IdUniquenessPolicy Object